Package: org.apache.groovy.groovysh

## [Groovy] Class InteractiveShellRunner

- org.apache.groovy.groovysh.InteractiveShellRunner

- All Implemented Interfaces and Traits:
    Runnable

      @AutoFinal
      @CompileStatic
      class InteractiveShellRunner
      extends ShellRunner
      implements Runnable

  Support for running a Shell interactively using the JLine library.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ShellRunner` | `log`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandsMultiCompleter` | `completer`
    `Closure` | `prompt`
    `jline.console.ConsoleReader` | `reader`
    `WrappedInputStream` | `wrappedInputStream`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class ShellRunner` | `breakOnNull, errorHandler, running, shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InteractiveShellRunner(Groovysh shell, Closure prompt)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `readLine()`
    `` | `void` | `run()`
    `` | `void` | `setHistory(jline.console.history.FileHistory history)`
    `` | `protected boolean` | `work()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ShellRunner` | `readLine, run, work`

- - ### Property Detail

    - #### final CommandsMultiCompleter completer

    - #### final Closure prompt

    - #### jline.console.ConsoleReader reader

    - #### WrappedInputStream wrappedInputStream

  - ### Constructor Detail

    - #### @CompileDynamic
      InteractiveShellRunner(Groovysh shell, Closure prompt)

  - ### Method Detail

    - #### @Override
      @CompileDynamic
      protected String readLine()

    - #### @Override
      void run()

    - #### void setHistory(jline.console.history.FileHistory history)

    - #### @Override
      protected boolean work()